Sorry, the InVision Help Center does not support Internet Explorer. Please download Microsoft Edge or another modern browser.


InVision ambassador ambassador
Daniel Pipitone Edited

Craft Sync Not Working in Photoshop 2021 (Apple Silicon / M1)

I am running Photoshop 2021 on a M1 Mac Mini with the Craft Sync extension. Trying to sync Artboards to my InVision (cloud) Prototype fails and just spins....

Have tried:

  • Quitting / restarting Photoshop
  • Uninstalling Photoshop Tools via Craft Manager
  • Logging out / in of InVision account via Sync in Photoshop

Anyone have any fixes?

This post is associated with a known feature request: [[problemTicketSubject]]. Let our Product team know that you’re interested in this feature.

Sign in to add your vote

Thanks for taking the time to share your feedback about making our product better. We’ve let our Product team know that you’re interested in this feature so they can factor that into their product strategy.

comments

Sort by


Michael S
InVision ambassador Michael S, InVision Employee , ambassador
Comment actions Permalink

Hi Daniel!

I just wanted to pop in here to let you know that I noticed you are currently working with our support team on this via email. We hope we can help get this resolved for you as soon as possible!

Thanks
Michael

0

Wiley
InVision ambassador Wiley , ambassador Edited
Comment actions Permalink

i'm having the same issue, hoping this post fills out with a solution.

photoshop 2021 says "sync" extension could not be loaded because it was not properly signed. 
Version 2.0.93 

this has also effected photoshop 2019 & 2020

im on windows

 

0

Raynor B
InVision ambassador Raynor B, InVision Employee , ambassador
Comment actions Permalink

Hi Wiley,

Thanks for getting in touch! We'd be happy to help with troubleshooting this and seeing it's related to the issue Michael mentioned. 

To that end, would you be able to provide screenshots or the issue and error message you're seeing, as well as a screenshot of your "About This Mac" panel?

Thanks!
Raynor

0

Wiktor
InVision ambassador Wiktor , ambassador
Comment actions Permalink

HI, i have the same problem on Adobe Photoshop (22.11) on windows.
"extension could not be loaded because it was not properly signed"

0

WDY Project House
InVision ambassador WDY Project House , ambassador
Comment actions Permalink

I am getting a similar message error - was working yesterday but not now!!!! 

1

Nachman
InVision ambassador Nachman , ambassador Edited
Comment actions Permalink

Could this be the issue? Adobe now requires that plugins must specify which versions of generator-core it is compatible with?


Error I got (in addition to above)

In case you need mac info:

Log details from:
~/Library/Logs/Adobe/Adobe Photoshop 2021/Generator

Warning: Plugin 'sync' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.

Full details:

Log file created on Thu Jan 14 2021 10:58:51 GMT-0500 (EST)

[info:core 10:58:51.507 generator.js:114:22] Launching with config:
{}
[info:core 10:58:51.507 generator.js:116:26] provided PS information:
version 22.1
path/Applications/Adobe Photoshop 2021/Adobe Photoshop 2021.app

[info:core 10:58:51.512 generator.js:237:30] Detected Photoshop version: 22.1.0
[warning:app 10:58:51.519 app.js:166:33] Potential problem with plugin at '/Applications/Adobe Photoshop 2021/Plug-ins/Generator/com.invisionlabs.freehand-generator': Warning: Plugin 'freehand' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.
[warning:app 10:58:51.519 app.js:166:33] Potential problem with plugin at '/Applications/Adobe Photoshop 2021/Plug-ins/Generator/com.invisionlabs.sync-generator': Warning: Plugin 'sync' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.
[info:core 10:58:51.520 generator.js:1926:26] Loading plugin: generator-assets (v2.9.13) from: /Applications/Adobe Photoshop 2021/Adobe Photoshop 2021.app/Contents/Required/Plug-ins/Generator/assets.generate
[warning:core 10:58:51.559 generator.js:915:26] WARNING the imageChanged event is expensive, please consider NOT listening to it
[info:core 10:58:51.559 generator.js:1942:26] Plugin loaded: generator-assets
[info:core 10:58:51.560 generator.js:1926:26] Loading plugin: crema (v3.2.12) from: /Applications/Adobe Photoshop 2021/Adobe Photoshop 2021.app/Contents/Required/Plug-ins/Generator/crema.generate
[info:core 10:58:51.629 generator.js:1942:26] Plugin loaded: crema
[warning:core 10:58:51.630 generator.js:1915:26] Warning: Plugin 'freehand' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.
[info:core 10:58:51.630 generator.js:1926:26] Loading plugin: freehand (v1.0.34) from: /Applications/Adobe Photoshop 2021/Plug-ins/Generator/com.invisionlabs.freehand-generator
[info:core 10:58:51.870 generator.js:1942:26] Plugin loaded: freehand
[warning:core 10:58:51.870 generator.js:1915:26] Warning: Plugin 'sync' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.
[info:core 10:58:51.871 generator.js:1926:26] Loading plugin: sync (v2.0.92) from: /Applications/Adobe Photoshop 2021/Plug-ins/Generator/com.invisionlabs.sync-generator
[info:core 10:58:52.128 generator.js:1942:26] Plugin loaded: sync
[warning:core 10:59:07.086 generator.js:915:26] WARNING the imageChanged event is expensive, please consider NOT listening to it
[warning:crema 10:59:07.088 index.js:61:21] user settings file could not be created
[warning:generator-assets 10:59:07.287 documentmanager.js:336:26] No Open Document
[warning:crema 10:59:08.490 documentmanager.js:336:26] No Open Document
[warning:core 10:59:08.761 generator.js:133:30] Photoshop error { id: 17,
body: 'Error 1302: No such element\rLine: 8\r-> var desc = app.getCustomOptions(params.key);' }
[warning:core 10:59:08.763 generator.js:378:26] Error in JSX file with params ./jsx/getCustomOptions.jsx { key: 'crema' } Error 1302: No such element Line: 8 -> var desc = app.getCustomOptions(params.key);
[info:core 11:00:44.038 generator.js:128:30] Photoshop connection closed
[error:app 11:00:45.040 app.js:141:17] Exiting with code 0: Generator close event

Also, tried loading in Photoshop 2020 with similar error:

Log file created on Thu Jan 14 2021 13:47:46 GMT-0500 (EST)

[info:core 13:47:46.226 generator.js:114:22] Launching with config:
{}
[info:core 13:47:46.226 generator.js:116:26] provided PS information:
version 21.2
path/Applications/Adobe Photoshop 2020/Adobe Photoshop 2020.app

[info:core 13:47:46.230 generator.js:237:30] Detected Photoshop version: 21.2.0
[warning:app 13:47:46.236 app.js:164:33] Potential problem with plugin at '/Applications/Adobe Photoshop 2020/Plug-ins/Generator/com.invisionlabs.freehand-generator': Warning: Plugin 'freehand' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.
[warning:app 13:47:46.236 app.js:164:33] Potential problem with plugin at '/Applications/Adobe Photoshop 2020/Plug-ins/Generator/com.invisionlabs.sync-generator': Warning: Plugin 'sync' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.
[info:core 13:47:46.237 generator.js:1926:26] Loading plugin: generator-assets (v2.9.13) from: /Applications/Adobe Photoshop 2020/Adobe Photoshop 2020.app/Contents/Required/Plug-ins/Generator/assets.generate
[warning:core 13:47:46.276 generator.js:915:26] WARNING the imageChanged event is expensive, please consider NOT listening to it
[info:core 13:47:46.276 generator.js:1942:26] Plugin loaded: generator-assets
[info:core 13:47:46.277 generator.js:1926:26] Loading plugin: crema (v3.2.12) from: /Applications/Adobe Photoshop 2020/Adobe Photoshop 2020.app/Contents/Required/Plug-ins/Generator/crema.generate
[info:core 13:47:46.346 generator.js:1942:26] Plugin loaded: crema
[warning:core 13:47:46.346 generator.js:1915:26] Warning: Plugin 'freehand' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.
[info:core 13:47:46.346 generator.js:1926:26] Loading plugin: freehand (v1.0.34) from: /Applications/Adobe Photoshop 2020/Plug-ins/Generator/com.invisionlabs.freehand-generator
[error:app 13:47:46.445 app.js:334:37] Unable to load plugin at '/Applications/Adobe Photoshop 2020/Plug-ins/Generator/com.invisionlabs.freehand-generator': Could not load plugin at path '/Applications/Adobe Photoshop 2020/Plug-ins/Generator/com.invisionlabs.freehand-generator': Cannot find module '/Users/nachmansiegel/Library/Application Support/Adobe/CEP/extensions/com.invisionlabs.freehand/package.json'
[warning:core 13:47:46.446 generator.js:1915:26] Warning: Plugin 'sync' did not specify which versions of generator-core it is compatible with. It will be loaded anyway, but providing generator-core-version in its package.json is recommended.
[info:core 13:47:46.446 generator.js:1926:26] Loading plugin: sync (v2.0.87) from: /Applications/Adobe Photoshop 2020/Plug-ins/Generator/com.invisionlabs.sync-generator
[info:core 13:47:46.647 generator.js:1942:26] Plugin loaded: sync
[error:app 13:47:46.649 app.js:373:25] Error: listen EADDRINUSE 0.0.0.0:24680
at Object._errnoException (util.js:1022:11)
at _exceptionWithHostPort (util.js:1044:20)
at Server.setupListenHandle [as _listen2] (net.js:1367:14)
at listenInCluster (net.js:1408:12)
at doListen (net.js:1517:7)
at _combinedTickCallback (internal/process/next_tick.js:141:11)
at process._tickCallback (internal/process/next_tick.js:180:9)
[error:app 13:47:46.650 app.js:139:17] Exiting with code -1: Uncaught exception: listen EADDRINUSE 0.0.0.0:24680
0

Daniel Pipitone
InVision ambassador Daniel Pipitone , ambassador
Comment actions Permalink

Status report from InVision on an outage:

https://status.invisionapp.com/incidents/c302hr83hf45

0

join the conversation

to comment, sign up or sign in.